<?php
require_once("../model/TaskModel.php");
class VisitorCtrl
{
    private $taskModel;
    function __construct($con){
        $dvueErreur = array();
        $taskModel = new TaskModel($con);
        try{
            $action = $_REQUEST['action'];
            switch($action){
                case null:
                    $this->loadHome();
                    # initialize la page home avec tout les listes
                    break;

                case 'pageConnection':
                    $this->go_connection();
                    break;

                case 'connecter':
                    $this->connection();
                    # charge la vue de connexion
                    break;
                
                case 'pageRegister':
                    $this->go_connection();
                    break;

                case 'register':
                    $this->connection();
                    # charge la vue de connexion
                    break;

                case 'pageListe':
                    $this->go_list();
                    break;
                
                case 'creerListe':
                    $this->makeList();
                    # creer une liste publique
                    break;
                
                case 'supprimerListe':
                    $this->eraseList();
                    # supprime une liste publique
                    break;
                
                case 'pageTache':
                    $this->go_task();
                    break;
                
                case 'ajouterTache': 
                    $this->addTask();
                    # ajouter une tache a une liste pub
                    break;
                
                case 'supprimerTache':
                    $this->eraseTask();
                    # supprimer une tache
                    break;
                
                default:
                    # 
                    $dvueErreur[] = 'Erreur inattendue';
                    require($rep.$vues['']);
                    break;
            }
            
        } catch (Exception $e) {
            require("../view/erreur.php");
        }

        function loadHome(){
            $public_lists = $this->taskModel.loadPublicList();
            require("../view/home.php");
        }

        function go_connection(){
            
        }

        function connection(){

        }
        
        function go_list(){

        }

        function makeList(){

        }

        function eraseList(){

        }

        function go_task(){

        }

        function addTask(){

        }

        function eraseTask(){

        }
        
    }


}
?>